#ifndef PROFILER_H_
#define PROFILER_H_

#include <msp/time/timestamp.h>
#include "gldecoder.h"

class Profiler
{
private:
	GlDecoder *decoder;
	bool enabled;
	Msp::Time::TimeStamp start;
	unsigned frames;
	unsigned draw_calls;
	unsigned vertices;
	unsigned triangles;

public:
	Profiler();

	void enable();
	void disable();
	int decode(const char *, unsigned);
private:
	static void glDrawArrays(void *, GLenum, int, int);
	static void glDrawElements(void *, GLenum, int, GLenum, const void *);
	static void glDrawRangeElements(void *, GLenum, unsigned, unsigned, int, GLenum, const void *);
	static void glXSwapBuffers(void *, Display *, GLXDrawable);
};

#endif
